Skip to main content
GET
/
workspaces
/
{workspacePublicId}
/
boards
Get all boards
curl --request GET \
  --url https://kan.bn/api/v1/workspaces/{workspacePublicId}/boards \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://kan.bn/api/v1/workspaces/{workspacePublicId}/boards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://kan.bn/api/v1/workspaces/{workspacePublicId}/boards', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "publicId": "<string>",
    "name": "<string>",
    "favorite": true,
    "lists": [
      {
        "publicId": "<string>",
        "name": "<string>",
        "index": 123
      }
    ],
    "labels": [
      {
        "publicId": "<string>",
        "name": "<string>",
        "colourCode": "<string>"
      }
    ]
  }
]
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required
Minimum string length: 12

Query Parameters

type
enum<string>
Available options:
regular,
template
archived
boolean

Response

Successful response

publicId
string
required
name
string
required
favorite
boolean
required
lists
object[]
required
labels
object[]
required